%define kdename kdehelps-ja
%define kdeprefix /usr

Name: %{kdename}
Summary: K Desktop Environment - help files
Summary(ja): Kǥȥå״Ķ - إץե
Version: 19991117
Release: 3
Source: http://www.kde.gr.jp/~tomy/docs-%{version}.tar.bz2
Source1: http://www.kde.gr.jp/~asaki/KDE-1.1.2/SOURCES/kcontrol-help-ja.tar.gz
BuildArchitectures: noarch

Group: User Interface/Desktops
Copyright: GPL/Artistic
BuildRoot: /var/tmp/%{kdename}-buildroot
Prefix: %{kdeprefix}

%description
Japanese help files for the K Desktop Environment.

%description -l ja
Kǥȥå״Ķܸإץե롣
󥹥ȡ뤵Ƥ륷ƥΤȤΥإץեȤ
С󤬰ۤʤΤäƤ礬ޤ

%prep
%setup -q -n docs

%build

for f in `find . -type f -name '*.html' -print ` ; do
    tmp=$f.orig
    mv $f $tmp
    sed -e 's/&#27425;&#12398;&#12506;&#12540;&#12472;/Υڡ/g' \
	-e 's/&#21069;&#12398;&#12506;&#12540;&#12472;/Υڡ/g' \
	-e 's/&#30446;&#27425;/ܼ/g' \
	-e 's/&#31456; *\([0-9]*\)\./\1/g' < $tmp > $f
#	-e 's/&#31456;//g' < $tmp > $f
    rm -f $tmp
done

for f in `find . type f -name 'manual-*' -print ` ; do
    dir=`dirname $f`
    file=`basename $f`
    mv $f $dir/x$file
    for html in $dir/*.html ; do
	tmp=$html.orig
	mv $html $tmp
	sed -e "s/\"$file\"/\"x$file\"/g" < $tmp > $html
	rm -f $tmp
    done
done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{kdeprefix}/share/doc/HTML/ja

for d in `find $RPM_BUILD_DIR/docs/ -type d` ; do
    src=$d/db2html-dir
    dst=$RPM_BUILD_ROOT%{kdeprefix}/share/doc/HTML/ja/`echo $d | sed -e "s|$RPM_BUILD_DIR/docs/[a-zA-Z]*/||" `
    if [ -d $src ]; then
	mkdir -p $dst
	( cd $src && tar cf - . ) | tar xf - -C $dst
    fi
done

rm -rf `find $RPM_BUILD_ROOT%{kdeprefix}/share/doc/HTML/ja -type d -name CVS `

for f in `find %{kdeprefix}/share/applnk -type f -name '*.kdelnk' -print` ; do
    doc=`grep '^DocPath=' $f | sed -e 's/DocPath=//' `
    if [ "$doc" != "" ] ; then
	jahelp=$RPM_BUILD_ROOT%{kdeprefix}/share/doc/HTML/ja/$doc
	jaindex=`dirname $jahelp`/index.html
	if [ -f $jaindex -a ! \( -f $jahelp -o -L $jahelp \) ]; then
	    ln $jaindex $jahelp
	fi
    fi
done

mv $RPM_BUILD_ROOT%{kdeprefix}/share/doc/HTML/ja/khelpcenter $RPM_BUILD_ROOT%{kdeprefix}/share/doc/HTML/ja/kdehelp

for d in kwm kpanel ; do
    dir=$RPM_BUILD_ROOT%{kdeprefix}/share/doc/HTML/ja/$d
    if [ -d $dir ]; then
	( cd $RPM_BUILD_ROOT%{kdeprefix}/share/doc/HTML/ja && tar cf - $d ) | tar xf - -C $RPM_BUILD_ROOT%{kdeprefix}/share/doc/HTML/ja/kdehelp
    fi
done

tar zxf %{SOURCE1} -C $RPM_BUILD_ROOT%{kdeprefix}/share/doc/HTML/ja/kcontrol/
(
cd %{kdeprefix}/share/doc/HTML/en/kcontrol
for f in * ; do
    jafile=$RPM_BUILD_ROOT%{kdeprefix}/share/doc/HTML/ja/kcontrol/$f
    if [ ! -f $jafile ]; then
	if [ -f $f ] ; then
	    cp -a $f $jafile
	else
	    ln -s ../../en/$f $jafile
	fi
    fi
done
)

#for f in `find %{kdeprefix}/share/doc/HTML/en/* -print` ; do
#    jaf=$RPM_BUILD_ROOT%{kdeprefix}/share/doc/HTML/ja/`echo $f | sed -e "s|%{kdeprefix}/share/doc/HTML/en/||" `
#    if [ -d $f -a ! -d $jaf ] ; then
#	mkdir -p $jaf
#    elif [ -f $f -a ! -f $jaf ] ; then
#	d=`echo $f | sed -e "s|%{kdeprefix}/share/doc/HTML/en/||" `
#	src=`dirname $d | sed -e 's/[a-zA-Z-_0-9][a-zA-Z-_0-9]*/../g'`/../en/$d
#	ln -s $src $jaf
#    fi
#done

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '/\/applnk\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT ../file.list.%{kdename}

%post
#rm -f %{kdeprefix}/share/doc/HTML/default
#ln -s ja %{kdeprefix}/share/doc/HTML/default

%postun
#rm -f %{kdeprefix}/share/doc/HTML/default
#ln -s en %{kdeprefix}/share/doc/HTML/default

%files -f ../file.list.%{kdename} 
%defattr(-,root,root) 

%changelog
* Sun Jan 23 2000 Go Taniguchi <go@turbolinux.co.jp>
- rebuild for TurboLinux

* Sat Nov 27 1999 Takumi ASAKI <asaki@kde.gr.jp>
- add kcontrol-ja help files

* Thu Nov 18 1999 Takumi ASAKI <asaki@kde.gr.jp>
- update: check *.kdelnk for index.html

* Thu Nov 18 1999 Takumi ASAKI <asaki@kde.gr.jp>
- first public release

* Fri Oct 29 1999 Junichi Kimura <m5021110@u-aizu.ac.jp>
- Make package
